AuthBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.AuthBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class AuthBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.AuthBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class AuthBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

The BizApp's interface to the Auth Subsystem

See Also:
  Serialized Form

Nested Class Summary
`class` | `AuthBossEJBImpl.UserZeventListener`

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`AuthBossEJBImpl()`

Method Summary
`void` | `addUser(int sessionID, java.lang.String username, java.lang.String password)` Add a user to the internal database
`void` | `changePassword(int sessionID, java.lang.String username, java.lang.String password)` Change a password for a user
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`static org.hyperic.hq.bizapp.shared.AuthBossLocal` | `getOne()`
`boolean` | `isLoggedIn(java.lang.String username)` Check if a user is logged in.
`boolean` | `isUser(int sessionID, java.lang.String username)` Check existence of a user
`int` | `login(java.lang.String username, java.lang.String password)` Login a user.
`int` | `loginGuest()` Login a guest.
`void` | `logout(int sessionID)` Logout a user.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `startup()` Add buffered listener to register login audits post commit.

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthBossEJBImpl

    public AuthBossEJBImpl()

Method Detail

### startup

    public void startup()

  Add buffered listener to register login audits post commit. This allows for read-only operations to succeed properly when accessed via HQU

### login

    public int login(java.lang.String username,
                     java.lang.String password)
              throws javax.security.auth.login.LoginException,
                     ApplicationException,
                     PasswordIsNullException,
                     ServerStillStartingException,
                     AccountDisabledException

  Login a user.

  Parameters:
    `username` - The name of the user.
    `password` - The password.
  Returns:
    An integer representing the session ID of the logged-in user.
  Throws:
    `AccountDisabledException`
    `ServerStillStartingException`
    `PasswordIsNullException`
    `javax.security.auth.login.LoginException`
    `ApplicationException`

### loginGuest

    public int loginGuest()
                   throws javax.security.auth.login.LoginException,
                          AccountDisabledException

  Login a guest.

  Returns:
    An integer representing the session ID of the logged-in user.
  Throws:
    `javax.security.auth.login.LoginException`
    `AccountDisabledException`

### logout

    public void logout(int sessionID)

  Logout a user.

  Parameters:
    `sessionID` - The session id for the current user

### isLoggedIn

    public boolean isLoggedIn(java.lang.String username)

  Check if a user is logged in.

  Parameters:
    `username` - The name of the user.
  Returns:
    a boolean| true if logged in and false if not.

### addUser

    public void addUser(int sessionID,
                        java.lang.String username,
                        java.lang.String password)
                 throws SessionException

  Add a user to the internal database

  Parameters:
    `sessionID` - The session id for the current user
    `username` - The username to add
    `password` - The password for this user
  Throws:
    `SessionException`

### changePassword

    public void changePassword(int sessionID,
                               java.lang.String username,
                               java.lang.String password)
                        throws javax.ejb.FinderException,
                               PermissionException,
                               SessionException

  Change a password for a user

  Parameters:
    `sessionID` - The session id for the current user
    `username` - The user whose password should be updated
    `password` - The new password for the user
  Throws:
    `javax.ejb.FinderException`
    `PermissionException`
    `SessionException`

### isUser

    public boolean isUser(int sessionID,
                          java.lang.String username)
                   throws SessionTimeoutException,
                          SessionNotFoundException

  Check existence of a user

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`

### getOne

    public static org.hyperic.hq.bizapp.shared.AuthBossLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.